## org.eclipse.datatools.modelbase.sql.query
Interface GroupingSetsElement

All Superinterfaces:
  SQLObject, SQLQueryObject

All Known Subinterfaces:
  GroupingSetsElementExpression, GroupingSetsElementSublist

All Known Implementing Classes:
  GroupingSetsElementExpressionImpl, GroupingSetsElementImpl, GroupingSetsElementSublistImpl

public interface GroupingSetsElement
extends SQLQueryObject

A representation of the model object 'SQL Grouping Sets Element'.

The following features are supported:

- `Grouping Sets`

See Also:
  `SQLQueryModelPackage.getGroupingSetsElement()`

Method Summary
`GroupingSets` `getGroupingSets()` Returns the value of the 'Grouping Sets' container reference.
`void` `setGroupingSets(GroupingSets value)` Sets the value of the '`Grouping Sets`' container reference.

Methods inherited from interface org.eclipse.datatools.modelbase.sql.query.SQLQueryObject
`getSourceInfo, getSQL, setSourceInfo, setSQL`

Methods inherited from interface org.eclipse.datatools.modelbase.sql.schema.SQLObject
`addEAnnotation, addEAnnotationDetail, getDependencies, getDescription, getEAnnotation, getEAnnotationDetail, getLabel, removeEAnnotationDetail, setAnnotationDetail, setDescription, setLabel`

Method Detail

### getGroupingSets

    public GroupingSets getGroupingSets()

  Returns the value of the 'Grouping Sets' container reference. It is bidirectional and its opposite is '`Grouping Sets Element List`'.

  If the meaning of the 'Grouping Sets' container reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Grouping Sets' container reference.
  See Also:
    `setGroupingSets(GroupingSets)`, `SQLQueryModelPackage.getGroupingSetsElement_GroupingSets()`, `GroupingSets.getGroupingSetsElementList()`

### setGroupingSets

    public void setGroupingSets(GroupingSets value)

  Sets the value of the '`Grouping Sets`' container reference.

  Parameters:
    `value` - the new value of the 'Grouping Sets' container reference.
  See Also:
    `getGroupingSets()`

Copyright © 2006 Actuate, IBM Corporation, Sybase, Inc. and others. All rights reserved.